GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "b666b99a-80c6-40b9-8596-fdd632735991",
      "CompanyId": "3f5cf4a0-765d-499a-81f9-696d72784d8c",
      "TaskStatusTypeId": "4cecdf9c-5bfc-412a-b4a8-208801ac2e3d",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "c23561ad-4aba-4d06-824d-3d9f3809786b",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "b666b99a-80c6-40b9-8596-fdd632735991",
      "CompanyId": "3f5cf4a0-765d-499a-81f9-696d72784d8c",
      "TaskStatusTypeId": "4cecdf9c-5bfc-412a-b4a8-208801ac2e3d",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "c23561ad-4aba-4d06-824d-3d9f3809786b",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}